﻿/* ---- CLASSES "GENERIQUES" ---- */
.shadow { box-shadow: 0 3.2px 7.2px 0 rgba(0,0,0,.132), 0 0.6px 1.8px 0 rgba(0,0,0,.108); }
.pointer { cursor: pointer; } .pointer:hover { cursor: pointer; }
.cursor-move { cursor: move; } .cursor-move:hover { cursor: move; }
.hidden { display:none; }
.no-border { border: transparent !important; }
.page-wrapper { background-color: whitesmoke !important; }
.readonly { background-color: whitesmoke !important; }
.popover{ max-width: 100%; }

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.rotate {
    animation: spin 2s infinite;
}

.bordure {
    border-left : 10px solid;
    border-color: lightgrey;
}

.light-border {
    border: 1px solid lightgrey;
    border-radius: 3px;
}

.cust-hr {
    width: 1px;
    min-height: 75px;
    margin: auto;
}

input[data-readonly] {
    pointer-events: none;
}

/* ---- TEST BODY ---- */
body {
    overflow-x: hidden;
}

/* ---- NOUVEAU FILTRE ---- */
.smooth {
    transition: 1s;
}
.custom-badge {
    border: 1px solid grey;
    border-radius: 5px;
    color: grey;
    height: 24px;
    padding: 0 4px;
    font-size: 0.95em;
    display: flex;
    align-items: center;
}

.menuOptions, .subMenuOptions {
    z-index: 1000;
    border-radius:6px;
    border: 1px solid (--tail);
}

/* ---- BOUTONS ---- */

.btn-transparent {
    background-color: transparent;
    border: none;
    width: auto;
    height: 21px;
}

.btn-preuves {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 35px;
    border: 1px solid transparent;
    background-color: transparent;
    color: black;
    padding: 0 5px;
    transition: 0.2s;
}
.btn-preuves:hover {
    border: 1px solid black;
}
.btn-preuves[disabled]{
    background-color: #BDBDBD !important;
}
.btn-preuves[disabled]:hover {
    border-color: transparent;
}

/* ---- BOUTONS MENU OPTIONS ---- */
.btn-option, .btn-sub-option {
    font-size: 14px;
    min-width: 125px;
    padding: 0.25em 20px;
    background: transparent;
    border: none;
    color: black;
    text-align: left;
    display: flex;
    justify-content: left;
    align-items: center;
    border-radius:3px;
}
.btn-option[disabled] {
    color: lightgrey;
}

.btn-sub-option {
    padding: 0.25em 5px 0.25em 20px;
    justify-content: space-between;
}

.btn-option:hover, .btn-sub-option:hover {
    background-color: var(--agro);
    color: white !important;
}
.btn-option[disabled]:hover, .btn-sub-option[disabled]:hover {
    background-color: lightgrey;
    color: white !important;
}

/* ---- APPLICATIONS GENERIQUES ---- */

table tr th {
    color: white !important;
    border: 1px solid #dee2e6;
}

table td {
    vertical-align:top;
    border-top: 1px solid #dee2e6;
}

img {
    height: auto;
}

.badge {
    color: white;
    background-color: grey;
    font-size: 0.95em;
}

/* ---- AUTRES ---- */

.custom-input {
    border-radius: 5px; 
    min-height: 35px !important;
    padding: 0.375rem;
    border: 1px solid #d1d5db;
    box-sizing:border-box;
    box-shadow : 0 1px 2px 0 rgb(0 0 0 / 0.05);
}
.custom-input[readonly] {
    background-color: whitesmoke !important;
    cursor: not-allowed;
}
.custom-input[disabled] {
    background-color: whitesmoke !important;
    cursor: not-allowed;
}
.custom-input:focus-visible{
    outline:none;
    /* border-left:none;
    border-right:none;
    border-top:none; */
    border-color:var(--agro-light);
    box-shadow: 0 0 0 1px var(--agro);
}

.custom-input-blue {
    border-radius: 5px; 
    min-height: 35px !important;
    /* margin: 0 !important; */
    padding: 0.375rem;
    border: 1px solid #d1d5db;
    box-sizing:border-box;
    box-shadow : 0 1px 2px 0 rgb(0 0 0 / 0.05);
    /* background:transparent; */
    /* background-color:var(--adrien-light); */
}
.custom-input-blue[readonly] {
    background-color: whitesmoke !important;
    cursor: not-allowed;
}
.custom-input-blue[disabled] {
    background-color: whitesmoke !important;
    cursor: not-allowed;
}
.custom-input-blue:focus-visible{
    outline:none;
    /* border-left:none;
    border-right:none;
    border-top:none; */
    border-color:blue;
    box-shadow: 0 0 0 1px blue;
}

textarea.custom-input {
    border-radius: 5px; 
    min-height: 75px !important;
}

.error-input {
    height: 35px !important;
    margin: 0 !important;
    border-radius: 3px;
    border: 1px solid red !important;
}

.title {
    font-weight: normal;
    color: #0078D4;
    text-transform: uppercase;
}

.desc {
    height: 15px;
    width: 45px;
    border-radius: 4px;
    margin: 0 5px;
}

.desc-2 {
    width: 65px;
}

.btn-disabled {
    background-color: #8a8886 !important;
}
.btn-disabled:hover {
    background-color: #8a8886 !important;
    border: 2px solid #8a8886 !important;
}
/* .btn-delete {
    position: absolute;
    width: 25px;
    height: 25px;
    background-color: red;
    border-color: red;
    border-radius: 50%;
    left: 25px;
    top: 10px;
}

.btn-delete-1 {
    position: absolute;
    width: 25px;
    height: 25px;
    background-color: red;
    border-color: red;
    border-radius: 50%;
    left: 25px;
    top: 85px;
}

.btn-delete:hover, .btn-delete-1:hover {
    background-color:   #ff5454;
    border-color:   #ff5454;
} */

/* ---- STATISTIQUES PRO ---- */

.block {
    margin: 10px 0 20px 0;
    padding: 20px;
    box-shadow: 0 3.2px 7.2px 0 rgba(0,0,0,.132), 0 0.6px 1.8px 0 rgba(0,0,0,.108);
    background-color: white;
}
/* .bloc-section {
    min-height: 220px !important;
    margin: 10px 0 20px 0;
    box-shadow: 0 3.2px 7.2px 0 rgba(0,0,0,.132), 0 0.6px 1.8px 0 rgba(0,0,0,.108);
    background-color: white;
} */
/* .bloc-stat {
    padding: 10px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
} */

.btn-blue {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 35px;
    border-radius: 0;
    border: 1px solid transparent;
    background-color: #0078D4;
    text-decoration: none !important;
    color: white;
    padding: 0 5px;
    transition: 0.1s;
    font-weight: normal !important;
}
.btn-blue-2 {
    border-radius: 0;
    border-color: transparent;
    background-color: #0078D4;
    color: white;
    padding: 0 5px;
    transition: 0.2s;
}

.btn-blue:hover, .btn-blue-2:hover, .btn-blue-outline:hover {
    border-color: transparent;
    background-color: #2696ec;
    color: white;
}

.btn-blue-outline {
    display:flex;
    justify-content: center;
    align-items: center;
    height: 35px;
    border: 1px solid #0078D4;
    background-color: transparent;
    text-decoration: none !important;
    color: #0078D4;
    padding: 0 5px;
    transition: 0.2s;
    font-weight: normal !important;
}

.btn-blue[disabled], .btn-blue-2[disabled], .btn-blue-outline[disabled] {
    background-color: #BDBDBD !important;
    border: 1px solid #BDBDBD !important;
    color: white !important;
}

.btn-menu {
    display: flex;
    justify-content: start;
    align-items: center;
    height: 35px;
    border-radius: 0;
    border-color: transparent;
    background-color: transparent;
    padding: 0 5px;
    transition: 0.1s;
    font-weight: normal !important;
}
.btn-menu:hover {
    border-color: transparent;
    background-color: grey;
    color: white;
}

/* .btn-invisible, .btn-invisible:hover {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    border-radius: 0;
    border-color: transparent;
    background-color: transparent;
    color: white;
    margin:0;
    padding: 0;
} */

/* .input-text {
    height: 35px !important;
    padding: 2px 5px !important;
    margin: 2px !important;
} */
/* .custom-block {
    box-shadow: 0 3.2px 7.2px 0 rgba(0,0,0,.132), 0 0.6px 1.8px 0 rgba(0,0,0,.108);
    background-color: white;
    padding: 20px;
    margin: 0;
} */

/* ---- ESPACE SALARIE ---- */
.header-espace-salarie{
    min-height: 240px;
    /* background-image: url("/assets/uploads/2022/05/background-espace-salarie.jpg"); */
    background-repeat: no-repeat;
    background-size: cover;
}

.rounded-circle {
    border: white 3px solid;
}

.header-bienvenue {
    color: rgba(255, 255, 255);
    font-size: 1vw;
    text-shadow: 1px 1px 1px black, 0 0 1em black, 0 0 0.2em #00000099;
    position: relative;
    left: -60px;
}

/* .onglets {
    margin-top: 30px;
    background-color: white;
    box-shadow: 0 3.2px 7.2px 0 rgba(0,0,0,.132), 0 0.6px 1.8px 0 rgba(0,0,0,.108);
    padding: 20px;
} */

/* .espSala-bloc{
    margin-top: 30px;
    background-color: white;
    box-shadow: 0 3.2px 7.2px 0 rgba(0,0,0,.132), 0 0.6px 1.8px 0 rgba(0,0,0,.108);
    padding: 20px;
} */

/* INDICATEURS SALARIES */
.nb-moderation{
    width: 180px;
    background-color: #0F4C81;
    height: auto;
    text-align: center;
    padding: 10px;
    margin-right: 9px;
    color: white;
}
.nb-moderation:hover, .nb-ope-48:hover{
    cursor: pointer;
    background-color: lightgrey;
    color: #0F4C81;
    text-decoration: none;
}

.nb-moderation span {
    font-weight: bold;
}

.birthday-container{
    background: linear-gradient(45deg, #001131 25%,
                #FEDBC4 25%, #FEDBC4 50%, 
                #001131 50%, #001131 75%, 
                #FEDBC4 75%);
    background-size: 100px 100px;
    box-shadow: 0 3.2px 7.2px 0 rgba(0,0,0,.132), 0 0.6px 1.8px 0 rgba(0,0,0,.108);
    width: 300px;
    padding: 20px;
    text-align: center;
    margin-top: 20px;
}

.birthday-container span{
    font-family: 'Caveat', cursive;
    font-weight: bold;
    font-size: 1.5em;
    color: #001131;
}
/* .position-birthday{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
} */
/* .birthdayCake i{
    font-size: 4em;
    color: #001131;
} */
/* .birthdayName h2{
    font-size: 3em;
    font-family: 'Caveat', cursive;
    color: #001131;
} */

/* .bloc-saint{
    width: 300px;
    text-align: center;
    background-color: black;
    padding: 10px;
    box-shadow: 0 3.2px 7.2px 0 rgba(0,0,0,.132), 0 0.6px 1.8px 0 rgba(0,0,0,.108);
    margin: auto;
}
.bloc-saint span{
    font-weight: lighter;
    font-size: 1.5em;
    color: white;
} */
/* .img-saint{
    width: 70%;
    margin-right:auto;
    margin-left:auto;
    margin-top: 5px;
    margin-bottom: 5px;
} */
/* .saintName h2{
    color: white;
    font-size: 3em;
    font-family: 'Caveat', cursive;
} */
.bloc-twitter {
    max-height: 425px;
    overflow: auto;
    
}

.nav-table-sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 30px;
    z-index: 5;
}

.first-row-sticky tr:first-child th { 
    position: -webkit-sticky;
    position: sticky;
    top: 80px;
    z-index:1020;
}

.up-case {
    /* border-top: 2px solid black !important;
    border-left: 2px solid black !important;
    border-right: 2px solid black !important; */
    /* box-shadow: 14px 0px 14px 0px rgb(0 0 0 / 13%), 14px -14px 20px 0 rgb(0 0 0 / 11%); */
    box-shadow: 14px 14px 14.4px 0px rgb(0 0 0 / 13%), 14px 0px 20px 0 rgb(0 0 0 / 11%), -7px 5px 20px 0 rgb(0 0 0 / 11%);
}
/* .middle-case {
    border-left: 2px solid black !important;
    border-right: 2px solid black !important;
} */
.down-case {
    /* border-bottom: 2px solid black !important;
    border-left: 2px solid black !important;
    border-right: 2px solid black !important; */
    /* box-shadow: 14px 14px 14.4px 0 rgb(0 0 0 / 13%), 0 1.2px 3.6px 0 rgb(0 0 0 / 11%); */
    box-shadow: 14px 14px 14.4px 0px rgb(0 0 0 / 13%), 0 0 0 0 rgb(0 0 0 / 11%), 0px 14px 20px 0 rgb(0 0 0 / 11%);
}

/* TOOLTIP HOVER */
/* .tooltip-perso {
    position: relative;
}

.tooltip-perso .tooltiptext {
    visibility: hidden;
    max-width: 300px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px;
    /* Position the tooltip */
    /* position: absolute;
    z-index: 1;
    top:-35px;
}

.tooltip-perso:hover .tooltiptext {
    visibility: visible;
}

.tooltip-perso .tooltiptext::after {
    content: " ";
    position: absolute;
    top: 100%; /* At the bottom of the tooltip */
    /* left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: black transparent transparent transparent;
} */

/* manageAvis.css */

.modal-dialog-centered {
    display:flex;
    align-items:center;
    min-height:calc(100% - 1rem);
}

.w-px-80 { width: 80px; }
.w-px-90 { width: 90px; }
.w-px-100 { width: 100px; }
.w-px-110 { width: 110px; }
.w-px-120 { width: 120px; }
.w-px-150 { width: 150px; }

/* CUSTOM */
/* .bloc-data-custom {
    box-shadow: 0 3.2px 7.2px 0 rgba(0,0,0,.132), 0 0.6px 1.8px 0 rgba(0,0,0,.108);
    background-color: white;
    width: 98%;
    margin: auto;
    padding: 5px 20px;
    color: #0078D4;
    font-size: 1.5em; 
} */

.case {
    border: 2px solid black;
}

.doublons {
    position: fixed;
    top: 100px;
    right: 0;
    padding-right: 30px;
}

/* LOADING ANIMATION */

.loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
  

/* COMPTAGE AVIS */
.oaan-bloc-data{
    min-height: 130px;
    margin: 0;
}
/* .gestion-des-avis{
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    margin-top: 10px;
} */
/* .bloc-moderation{
    width: 38%;
    padding: 10px;
} */
/* .bloc-moderation2{
    width: 38%;
    padding: 10px; 
} */
/* .bloc-moderation3{
    width: 18%;
    padding: 10px; 
} */
.bloc-comptage-avis{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: flex-end;
}
/* .bloc-comptage-avis2{
    min-height: 84px;
} */
.nombre-total-avis{
    margin-top: 20px !important;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.nombre-total-valeur{
    font-size: 2em;
    font-weight: bold;
}

.avis-data{
    display: flex;
    flex-direction: column;
    align-items: center; 
}
.avis-data-circle{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    margin-top: 15px;
}
.label-data-avis{
    font-size: 0.8em;
    font-weight: 400;
    color: #323130;
}
/* .kpi{
    background-color:#f3f2f1;
} */
/* .data-recommandation{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
} */

/* FILTRES */
/* .bloc-filtres{
    min-height: 50px !important;
    width: 98%;
    margin: auto;
    margin-top: 10px;
    padding: 20px;
} */
.bloc-filtres-2 {
    min-height: 50px !important;
    width: 100%;
    margin-top: 10px;
    padding: 20px;
}

/* .filtres-avis{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: flex-end;
} */
/* .bloc-select-label{
    display: flex;
    flex-direction: row;
    align-items: flex-end;
} */

/* TABLEAU */
.hidden {
    display:none;
}
.bloc-titre-fiche{
    width: 98%;
    margin: auto;
    margin-bottom: 10px;
}
/* .bloc-tableau{
    width: 98%;
    margin: auto;
    margin-top: 10px;
    margin-bottom: 30px;
    padding: 20px;
} */
/* .bloc-tableau-field{
    width: 100%;
    margin: auto;
    margin-top: 10px;
    margin-bottom: 30px;
    padding: 20px;
} */
.avis-titre-colonne tr{
    border-radius : 5px 5px 0 0 ;
    
    border-bottom : 1px solid #e5e7eb;
}
.avis-titre-colonne tr th{
    text-align: center;
    background-color: var(--tail);
    font-weight: 600;
    color: black !important;
}
.table-striped tbody tr:nth-of-type(odd){
    background-color:transparent;
    border-top:0;
    border-left:0;
    border-right:0;
    border-bottom:1px solid #e5e7eb;
}
/* .avis-btn-details{
    padding: 5px !important;
    font-size: 14px !important;
    background-color: white !important;
    color: #0078D4 !important;
}
.avis-btn-details:hover{
    border: none;
    background-color: grey !important;
    color: white !important;
} */
.badge-success{
    background-color: #6bb700;
}
.badge-danger{
    background-color: #c50f1f;
}
/* .badge-null {
    background-color: lightgrey;
} */
textarea{
    height: 50px;
}
tr th{
    background-color: #0078D4;
    font-weight: 600; 
}
/* .avis-entete-ligne button{
    margin-left: 200px;
} */
/* .avis-commentaire{
    border: 1px black solid !important;
} */
.avis-ligne-result{
    cursor: pointer;
    position:relative;
}
.avis-titre-result:hover{
    border-color: var(--agro-light);
}
.avis-ligne-result:hover > td:first-child::before{
    font-family: "bootstrap-icons";
    content: "\F231";
    color: var(--agro) !important;
    position:absolute;
    left:0;
    /* color: white; */
}

.focused-row > td:first-child::before{
    font-family: "bootstrap-icons";
    content: "\F231";
    color: var(--agro) !important;
    position:absolute;
    left:0;
}
.focused-row > td{
    font-weight:bold;
}

.nav-table {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
}
.mod-table {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.btn-nav-table, .btn-mod-table, .btn-filter {
    border-radius: 5px;
    border-color: transparent;
    background-color: #0078D4;
    color: white;
    padding: 7px 15px;
    margin: 0 5px;
}

/* .error-mod-btn {
    padding: 5px 15px;
    background-color: #FF7B5F;
    border-radius : 5px;
    margin: 5px 0 5px 0;
} */


/* .bloc-valid-delete {
    text-align:center;
    display: flex;
    justify-content: center;
}
.bloc-valid-delete button{
    margin-right : 60px;
    margin-left : 60px;
} */

/* *********************************** */
/* *** newInternalAudit101-103.php *** */
/* ***** newInternalAudit102.php ***** */
/* *********************************** */
.newInt-container{
	border: 15px white solid;
	margin-top: 10px;
	box-shadow: 0 3.2px 7.2px 0 rgba(0,0,0,.132), 0 0.6px 1.8px 0 rgba(0,0,0,.108);
}

/* *** FIN *** */

/* Entete pro */
.note-pro{
    width: 100%;
	height: 100%;
    border-radius: 50%;
    color: white;
}
.note-pro h1{
    margin: 10px;
}

.note-pro-2 {
	width: 35px;
	height: 35px;
	border-radius: 50%;
	color: white;
}
.logo-pro {
	width: 100%;
	height: 100%;
	border-radius: 50%;
	color: white;
}

.tabPro{
    height: 35px;
    display:flex !important;
    justify-content:center;
    background-color:#0078D4 !important;
    border-radius : 5px 5px 0 0;
    box-shadow: -0.1rem -0.4rem .5rem rgba(0,0,0,.15);
}
.tabProActive{
    height:40px;
    background-color:white !important;
    color: #0078D4 !important;
}
/* Petit Tableau détails opé dans lot de travaux */
.ope-data{
    color: black;
    padding: 0.2rem !important;
}
.ope-data-th{
    padding: 0.2rem !important;
    background-color: transparent !important;
    border-bottom: 1px solid black !important;
    color: black !important;
}
.ope-data-tr{
    background-color: transparent !important;
}

/* PIVOTS */
.titre {
    width: 100%;
    display: flex;
    align-items: center;
    position: relative;
    transition: visibility .15s 0.167s;
    animation-timing-function: linear;
    animation-duration: 0.15s;
    margin-bottom: 5px;
}
.titre-logo {
    flex-shrink: 0;
    margin-right: 20px;
    display: flex;
    align-items: center;
    align-self: center;
}
.titre-logo A,.titre-logo A:hover,.titre-logo A:visited {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 3px;
    box-sizing: border-box;
    border: 1px solid var(--agro-light);
    text-decoration: none;
    color: var(--agro);
    height: 64px;
    width: 64px;
    font-family: "Segoe UI","Segoe UI Web (West European)","Segoe UI",-apple-system,BlinkMacSystemFont,"Roboto","Helvetica Neue",sans-serif;
    font-display: swap;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    font-size: 28px;
    font-weight: 100;
}
.titre-titre {
    margin-right: 20px;
    min-width: 0px;
    flex-grow: 1;
    flex-shrink: 1;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.titre-titre A,.titre-titre A:hover, .titre-titre A:visited {
    color: #323130;
    font-family: "Segoe UI","Segoe UI Web (West European)","Segoe UI",-apple-system,BlinkMacSystemFont,"Roboto","Helvetica Neue",sans-serif;
    font-display: swap;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    font-size: 20px;
    font-weight: 600;
    color: #323130;
    text-decoration: none
}
.titre-infos {
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}
.titre-infos-item { 
    display: flex; 
}
.titre-infos-item-item {
    margin-right: 24px;
    min-width: 0px;
    flex-grow: 1;
    flex-shrink: 1;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
	padding-left:5px;
	border-left:1px solid #e1dfdd;
}
.titre-key {
    font-weight: 300;
    font-size: 14px;
}
.titre-value { 
    font-weight: 500;
    font-size: 16px;
}

.feeds-list {
    display: flex;
}

.feeds-list a {
    outline: transparent;
    position: relative;
    font-family: "Segoe UI","Segoe UI Web (West European)","Segoe UI",-apple-system,BlinkMacSystemFont,"Roboto","Helvetica Neue",sans-serif;
    -moz-osx-font-smoothing: grayscale;
    font-display: swap;
    -webkit-font-smoothing: antialiased;
    font-size: 15px;
	font-weight: 400;
    box-sizing: border-box;
    border: 0px;
    user-select: none;
    display: flex;
    align-items: center;
    text-decoration: none;
    text-align: center;
    cursor: pointer;
    height: 35px;
    color: #323130;
    background-color: transparent;
    line-height: 44px;
    -webkit-user-select: none;
    -ms-user-select: none;
}
.feeds-list a.selected { 
    font-weight: 600;
}
.feeds-list a::first-letter .feeds-list a:visited::first-letter { 
    text-transform: uppercase;
}
.feeds-list a:hover {
    color: #201f1e;
    background-color: #f3f2f1;
    cursor: pointer;
    text-decoration: none;
}
.feeds-list a.selected::before {
    background-color: #0078d4;
    bottom: 0px;
    content: "";
    height: 2px;
    left: 8px;
    position: absolute;
    right: 8px;
    transition: left 0.267s cubic-bezier(.1,.25,.75,.9),
                right 0.267s cubic-bezier(.1,.25,.75,.9);
}
.feeds-list a.selected:hover::before {
    background-color: #0078d4;
    bottom: 0px;
    content: "";
    height: 2px;
    left: 0px;
    position: absolute;
    right: 0px;
    transition: left 0.267s cubic-bezier(.1,.25,.75,.9),
                right 0.267s cubic-bezier(.1,.25,.75,.9);
}
/* Fin PIVOTS */

/* .iconeRadio {
    border-radius: 50%;
    background-color: #91CFFF;
    border: 2px solid #2696ec;
    height: 20px;
    width: 20px;
    transition: 0.33s;
    color: #2696ec;

    display: none;
    position: absolute;
    top: -10px;
    right: -10px;
}
.iconeRadio::before {
    position: relative;
    top: -2.5px;
}

input[type="radio"] + .labelRadio, input[type="checkbox"] + .labelRadio, .labelRadio {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 35px;
    text-align: center;
    border: 1px solid #dcdcdc;
    border-radius: 5px; 
    padding: 0 0.5rem;
    transition: 0.33s;
    transition-property: background-color;
    cursor: pointer;
    margin-bottom: 1px;
}
input[type="checkbox"] + .labelRadio {
    font-size: 12px;
}

input[type="radio"]:hover + .labelRadio, input[type="checkbox"]:hover + .labelRadio, .labelRadio:hover {
    background-color: #B9E1FF;
}
input[type="radio"]:checked + .labelRadio, input[type="checkbox"]:checked + .labelRadio {
    background-color: #91CFFF;
    border: 2px solid #2696ec;
}
input[type="radio"]:checked + .labelRadio > .iconeRadio, input[type="checkbox"]:checked + .labelRadio > .iconeRadio {
    display: block;
} */

/* RATTACHER ARCHIVES OPERATIONS */
.oaan-arch-orph-bloc {
	min-height: 600px;
	margin-top: 20px;
	background-color: whitesmoke;
	padding-top: 10px;
	padding-bottom: 10px;
}
.oaan-arch-orph-list {
	margin-top: 20px;
	display: flex;
	flex-wrap: wrap;
	flex-direction: row;
	justify-content: flex-start;
	align-items: flex-start;
}
.oaan-arch-orph-img-bloc img {
	width: 100%;
}
.oaan-arch-orph-img-bloc label { 
    font-size: 0.8em;
}
.oaan-arch-orph-figure {
	width: 100%;
	height: 100%;
}
.img-zoom-container { 
    position: relative;
}
.img-zoom-container img {
    cursor: zoom-in;
    cursor: -moz-zoom-in;
    cursor: -webkit-zoom-in;
}
.img-zoom-lens {
    position: absolute;
    border: 1px solid #d4d4d4;
    /*set the size of the lens:*/
    width: 147px;/*140 175*/
    height: 208px;
    cursor: zoom-in;
    cursor: -moz-zoom-in;
    cursor: -webkit-zoom-in;
}
.img-zoom-result {
    border: 1px solid #d4d4d4;
    margin-top: 0px;/* 50 */
    /*set the size of the result div:*/
    width: 565px;
    height: 800px;
}

/* ===== STEPPER (RECAP OPE/OPE) ===== */
.stepper-wrapper {
    width: 100%;
    margin-top: auto;
    display: flex;
    justify-content: space-between;
}
.stepper-item {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 1;

    @media (max-width: 768px) {
        font-size: 12px;
    }
}

.stepper-item::before {
    position: absolute;
    content: "";
    border-bottom: 2px solid #ccc;
    width: 100%;
    top: 20px;
    left: -50%;
    z-index: 1;
}

.stepper-item::after {
    position: absolute;
    content: "";
    border-bottom: 2px solid #ccc;
    width: 100%;
    top: 20px;
    left: 50%;
    z-index: 1;
}

.stepper-item .step-counter {
    position: relative;
    z-index: 3;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: #ccc;
    margin-bottom: 6px;
}

.stepper-item.completed::after {
    position: absolute;
    content: "";
    border-bottom: 2px solid #0078D4;
    width: 100%;
    top: 20px;
    left: 50%;
    z-index: 2;
}

.stepper-item.active { font-weight: bold; }
.stepper-item.completed .step-counter { background-color: #0078D4; color: white; }
.stepper-item:first-child::before { content: none; }
.stepper-item:last-child::after { content: none; }


/* ===== Style spécifique au paramétrage des CC unifiés ===== */
.button {
    min-height: 100px;
    width: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    background-color: #0078D4;
    color: white;
    border: none;
    border-radius: 5px;
    transition: 0.25s;
}
.button i { 
    font-size: 30px;
}
.button:hover {
    background-color: #2696ec;
}

.cc {
    min-height: 100px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border: 1px solid #CFCFCF;
    border-radius: 5px;
    transition: 0.25s;
}
.cc:hover {
    border: 1px solid #0078D4;
}

/* .btn-opt-red {
    height: 21px;
    width: 21px;
    background-color: red;
    color: white;
    text-align: center;
    border: none;
    border-radius: 5px;   
    cursor: pointer; 
    transition: 0.33s;
}
.btn-opt-red:hover {
    background-color: darkred;
}
.btn-opt-red[disabled] {
    background-color: grey;
    cursor: not-allowed;
} */

/** ===== GESTION D'UN OVERLAY POUR LE CALENDRIER ===== **/
.overlay, .overlay-half-l, .overlay-half-r {
    position: relative;
}
.overlay:after, .overlay-half-l:after, .overlay-half-r:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.overlay:after { background: rgba(0, 0, 0, 0.10); }
.overlay-half-l:after { background: linear-gradient(105deg, rgba(0, 0, 0, 0.10) 50%, transparent 50%); }
.overlay-half-r:after { background: linear-gradient(105deg, transparent 50%, rgba(0, 0, 0, 0.10) 50%); }

.past-err {
    position: relative;
}
.past-err:before {
    content: "";
    position: absolute;
    top:0;
    right:0;
    width: 10px;
    height: 10px;
    border-radius: 50%; 
    background-color: red;
}

/* SB - 21/10/22 - Espace Pro V2 */

.cust-border {
    border-bottom-right-radius: 25px !important;
    border-top-left-radius: 25px !important;
}
.cust-menu, .cust-menu-active {
    display: block;
    border: none;
    background-color: transparent;
    text-decoration: none;
    text-align: left;
    color: white;
    padding: 0.75rem 1.5rem;
    width: 100%;
    transition: 0.30s;
}
.cust-menu:hover, .cust-menu-active {
    background-color: #A2E9FF;
    color: #0078D4;
}
.cust-table {
    border: none !important;
    border-radius: 15px;
}
.cust-table th {
    padding: 5px 5px;
    border: none !important;
    border-left: 1px solid lightgrey !important;
    border-right: 1px solid lightgrey !important;
}
.cust-table td {
    padding: 2px 5px;
    border: none !important;
    border-bottom: 1px solid lightgrey !important;
}
.cust-table tr:first-child th:first-child { border-top-left-radius: .25rem!important; border-left: none !important; }
.cust-table tr:first-child th:last-child { border-top-right-radius: .25rem!important; border-right: none !important; }
.cust-table tr:last-child td:first-child { border-bottom-left-radius: .25rem!important; }
.cust-table tr:last-child td:last-child { border-bottom-right-radius: .25rem!important; }

.cust-btn {
    background-color: #0078D4;
    color: white;
    transition: 0.30s;
}
.cust-btn:hover {
    color: #0078D4;
    background-color: #A2E9FF;
}

.b-left-blue { border-left: 10px solid #0078D4; }
.b-left-light { border-left: 10px solid #A2E9FF; }

.scrollbar::-webkit-scrollbar {
    border-radius: 5px;
    background-color: #A2E9FF;
    padding: 2px;
    width: 15px;
}
.scrollbar::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: #0078D4;
}

.disabled-checkbox{
    cursor: not-allowed !important;
    color: #6c757d !important /* text-muted */
}

/* NEW ---------------------------------------------------------------------------------------------------------------------------- */
.text-oaan{
    color: var(--agro);
}
.bg-redlight{
    background-color: var(--red-light);
}
.new-btn{
    background-color: var(--agro);
    color:white;
    
    border:solid 2px var(--agro);
    border-radius:3px;
    min-height:35px;
    box-shadow : 0 .125rem .25rem rgba(0,0,0,.075);
}

.new-btn[disabled]{
    background-color: var(--agro-light);
    cursor:not-allowed;
    border:none;
}
.new-btn[disabled]:hover{
    background-color: var(--agro-light);
    border:none;
}

.new-btn:hover{
    /* background-color:white; */
    transition: .1s ease-in-out;
    background-color:var(--agro-dark);
    border-color:var(--agro-dark);
    /* box-shadow: 0.1rem 0.1rem 0 var(--agro); */
}

.new-btn + .bg-red{
    background-color:red;
    border-color:red;
}

.iconeRadio {
    border-radius: 50%;
    background-color: white;
    height: 20px;
    width: 20px;
    transition: 0.33s;
    color:var(--agro);
    box-shadow : 0 1px 2px 0 rgb(0 0 0 / 0.05);
    display: none;
    position: absolute;
    top: -10px;
    right: -10px;
    z-index:999;
}
.iconeRadio::before {
    position: relative;
}

input[type="radio"] + .labelRadio, input[type="checkbox"] + .labelRadio, .labelRadio {
    position: relative;
    margin-bottom:0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 35px;
    text-align: center;
    border-radius: 5px; 
    padding: 0 0.5rem;
    transition: 0.33s;
    transition-property: background-color;
    border: 1px solid var(--tail);
    cursor: pointer;
}
input[type="checkbox"] + .labelRadio {
    font-size: 12px;
}

input[type="radio"]:hover + .labelRadio, input[type="checkbox"]:hover + .labelRadio, .labelRadio:hover {
    background-color: var(--agro);
    color:white;
}
input[type="radio"]:checked + .labelRadio, input[type="checkbox"]:checked + .labelRadio {
    background-color: var(--agro);
    color:white;
}
input[type="radio"]:checked + .labelRadio > .iconeRadio, input[type="checkbox"]:checked + .labelRadio > .iconeRadio {
    display: block;
}
input[type="radio"][disabled] + .labelRadio {
    /* border: 2px solid var(--vert-light); */
    cursor: not-allowed;
}

.iconeRadioBlue {
    border-radius: 50%;
    background-color: white;
    height: 20px;
    width: 20px;
    transition: 0.33s;
    color:var(--agro);
    box-shadow : 0 1px 2px 0 rgb(0 0 0 / 0.05);
    display: none;
    position: absolute;
    top: -10px;
    right: -10px;
    z-index:999;
}
.iconeRadioBlue::before {
    position: relative;
}

input[type="radio"] + .labelRadioBlue, input[type="checkbox"] + .labelRadioBlue, .labelRadioBlue {
    position: relative;
    margin-bottom:0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 35px;
    text-align: center;
    border-radius: 5px; 
    padding: 0 0.5rem;
    transition: 0.33s;
    transition-property: background-color;
    border: 1px solid var(--tail);
    cursor: pointer;
}
input[type="checkbox"] + .labelRadioBlue {
    font-size: 12px;
}

input[type="radio"]:hover + .labelRadioBlue, input[type="checkbox"]:hover + .labelRadioBlue, .labelRadioBlue:hover {
    background-color: var(--blue);
    color:white;
}
input[type="radio"]:checked + .labelRadioBlue, input[type="checkbox"]:checked + .labelRadioBlue {
    background-color: var(--blue);
    color:white;
}
input[type="radio"]:checked + .labelRadioBlue > .iconeRadioBlue, input[type="checkbox"]:checked + .labelRadioBlue > .iconeRadioBlue {
    display: block;
}
input[type="radio"][disabled] + .labelRadioBlue {
    /* border: 2px solid var(--vert-light); */
    cursor: not-allowed;
}

.checkbox-flip, .checkbox-pop, .checkbox-pull, .checkbox-spin {
    display:none;
}

.checkbox-flip + label, 
.checkbox-pop + label, 
.checkbox-pull + label,
.checkbox-spin + label{
    display:inline-flex;
}

.checkbox-flip + label span, 
.checkbox-pop + label span, 
.checkbox-pull + label span,
.checkbox-spin + label span{
    display:inline-block;
    /* width:25px;
    height:16px; */
    margin: 2px 5px -4px 0; /*layout relationship between check and label*/
}

.checkbox-flip + label span:before, 
.checkbox-pop + label span:before, 
.checkbox-pull + label span:before,
.checkbox-spin + label span:before{
    transition : all .3s ease-in-out;
    content: "";
    /* position: absolute; */
    display:block;
    z-index: 1;
    width: 1rem;
    height: 1rem;
    background: transparent;
    border-radius:2px;
    margin-right:5px;
    border: 1px solid var(--agro); 
}

.checkbox-flip + label span:after, 
.checkbox-pop + label span:after, 
.checkbox-pull + label span:after,
.checkbox-spin + label span:after{
    z-index: 0;
    border: none;
}

.checkbox-flip:checked + label span:before {
    transform : rotateY(180deg);
    background: var(--agro);
}

.checkbox-pop:checked + label span:before {
    animation: pop .3s ease;
    z-index: 100;
    background: var(--agro);
    font-family: "bootstrap-icons";
    color:white;
    display:flex;
    align-items:center;
    content:"\f26e";
}

.checkbox-pop:checked + label{
    font-weight:bold !important;
}

.checkbox-pop[disabled] + label span:before{
    opacity:0.3;
    cursor:not-allowed;
}

.checkbox-pull:checked + label span:after {
    width: 1.2rem;
    height: 1.2rem;
    background: var(--agro);
    animation: pull .4s linear; 
}

.checkbox-spin:checked + label span:before {
    transform : rotateZ(180deg);
    background: var(--agro);
}

/* CHECKBOX ROUGE */
.checkbox-red + label span:before{
    border: 1px solid var(--red); 
}
.checkbox-red:checked + label span:before{
    background: var(--red);
    display:flex;
    justify-content:center;
    content:"\f26e";
}
/* CHECKBOX VERTE */
.checkbox-green + label span:before{
    border: 1px solid var(--green); 
}
.checkbox-green:checked + label span:before{
    background: var(--green);
    display:flex;
    justify-content:center;
    content:"\f26e";
}

.checkbox-grey + label span:before{
    border: 1px solid #BDBDBD; 
}
.checkbox-grey:checked + label span:before{
    background: #BDBDBD;
    display:flex;
    justify-content:center;
    content:"\f26e";
}


/* CHECKBOX OAAN (VERTE) */
/* .checkbox-oaan + label span:before{
    border: 1px solid var(--agro); 
}
.checkbox-oaan:checked + label span:before{
    background: var(--ver-fonce);
    display:flex;
    justify-content:center;
    content:"\f26e";
} */

/* CHECKBOX BLEUE */
.checkbox-blue + label span:before{
    border: 1px solid var(--bleu-fonce); 
}
.checkbox-blue:checked + label span:before{
    background:  var(--bleu-fonce);
    display:flex;
    justify-content:center;
    content:"\f26e";
}

/* CHECKBOX INDIGO */
.checkbox-indigo + label span:before{
    border: 1px solid var(--indigo); 
}
.checkbox-indigo:checked + label span:before{
    background:  var(--indigo);
    display:flex;
    justify-content:center;
    content:"\f26e";
}

/* CHECKBOX VIOLET  */
.checkbox-violet + label span:before{
    border: 1px solid var(--violet); 
}
.checkbox-violet:checked + label span:before{
    background:  var(--violet);
    display:flex;
    justify-content:center;
    content:"\f26e";
}

/* CHECKBOX ORANGE */
.checkbox-orange + label span:before{
    border: 1px solid var(--orange-fonce); 
}
.checkbox-orange:checked + label span:before{
    background: var(--orange-fonce);
    display:flex;
    justify-content:center;
    content:"\f26e";
}

/* CHECKBOX VIOLETTE */
.checkbox-purple + label span:before{
    border: 1px solid var(--violet); 
}
.checkbox-purple:checked + label span:before{
    background:var(--violet);
    display:flex;
    justify-content:center;
    content:"\f26e";
}

/* CHECKBOX NOIRE */
.checkbox-black + label span:before{
    border: 1px solid black; 
}
.checkbox-black:checked + label span:before{
    background:black;
    display:flex;
    justify-content:center;
    content:"\f26e";
}


.new-btn-ico{
    background-color:transparent;
    color:var(--agro);
    transition: .1s ease-in-out;
    border:solid 2px transparent;
    border-radius:2px;
    min-height:35px;
}

.new-btn-ico:hover{
    text-decoration:underline;
    color:var(--agro-dark);
}

.new-btn-ico:hover > i{
    transition:0.2s ease-out;
    transform:translate(0, 3px);
}
.bg-tail{
    background-color: var(--bg-tail);
}
.bg-agro{
    background-color: var(--agro);
    color:white;
}
.bg-agro-light{
    background-color: var(--agro-light);
    color:white;
}
.btn-tail{
    border-radius:3px;
    background-color:white;
    border: 1px solid var(--tail);
    padding:6px;
    min-height:35px;
    box-shadow : 0 .125rem .25rem rgba(0,0,0,.075);
}
.btn-tail:hover{
    background-color:var(--bg-tail);
}
.tail-active{
    background-color:var(--bg-tail);
    box-shadow:none;
}

.dropdown-item.active, .dropdown-item:active{
    color: #fff;
    text-decoration: none;
    background-color: var(--agro);
}


.feeds-list a.selected::before {
    background-color: var(--tail);
    bottom: 0px;
    content: "";
    height: 2px;
    left: 8px;
    position: absolute;
    right: 8px;
    transition: left 0.267s cubic-bezier(.1,.25,.75,.9), right 0.267s cubic-bezier(.1,.25,.75,.9);
}
.feeds-list a.selected:hover::before {
    background-color: var(--tail);
    bottom: 0px;
    content: "";
    height: 2px;
    left: 0px;
    position: absolute;
    right: 0px;
    transition: left 0.267s cubic-bezier(.1,.25,.75,.9),
                right 0.267s cubic-bezier(.1,.25,.75,.9);
}

.new-hr {
    line-height: 1em;
    position: relative;
    outline: 0;
    border: 0;
    color: var(--vert-fonce);
    text-align: center;
    height: 10px;
}

.new-hr:before{
    content: '';
    background: var(--agro);
    position: absolute;
    left: 0;
    top: 50%;
    width: 100%;
    height: 2px;
}

.new-hr:after{
    content: attr(data-content);
    position: relative;
    display: inline-block;
    color: var(--agro);

    padding: 0 .5em;
    /* line-height: 1.5em; */
    background-color: white;
}


/* NEW ---------------------------------------------------------------------------------------------------------------------------- */
.text-oaan{
    color: var(--agro);
}
.bg-redlight{
    background-color: var(--red-light);
}
/* sup d'une partie 19/02/2026*/



.new-btn + .bg-red{
    background-color:red;
    border-color:red;
}


.new-hr {
    line-height: 1em;
    position: relative;
    outline: 0;
    border: 0;
    color: var(--vert-fonce);
    text-align: center;
    height: 10px;
}

.new-hr:before{
    content: '';
    background: var(--vert-fonce);
    position: absolute;
    left: 0;
    top: 50%;
    width: 100%;
    height: 2px;
}

.new-hr:after{
    content: attr(data-content);
    position: relative;
    display: inline-block;
    color: var(--vert-fonce);

    padding: 0 .5em;
    /* line-height: 1.5em; */
    background-color: white;
}


.new-btn-light{
    /* background-color:white; */
    background-color:var(--vert-light);
    color:var(--vert-fonce);
    box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075);
    transition: .3s ease-in-out;
    border:solid 2px var(--vert-light);
    border:0;
    border-radius:3px;
    min-height:35px;
}

.new-btn-light:hover{
    background-color:#b9dce1;
    border-color:#b9dce1;
}

.newTable{
    /* border:1px solid #e5e7eb; */
    border-radius: .6rem;
    width:100%;
    margin-bottom:10px;
    box-shadow: 0 .125rem .25rem rgba(0,0,0,.075);
    background-color:white;
    /* overflow:hidden; */
}

.newTable thead tr th:first-child{
    border-radius:.6rem 0 0 0;
}
.newTable thead tr th:last-child{
    border-radius:0 0.6rem 0 0;
}

.newTable tr:last-child td:first-child{
    border-bottom-left-radius:0.6rem;
    overflow:hidden;
}

.newTable th{
    background-color:var(--vert-fonce);
    border:0;
    padding:8px;
    text-align:center;
}

.newTable tbody tr:not(.addedRow){
    /* border-left:0;
    border-right:0;
    border-top:0; */
    border-top:1px solid #e5e7eb;
    /* background-color:var(--vert-light); */
}

.newTable tbody tr:hover:not(.addedRow){
    /* background-color:white; */
    background-color:var(--vert-light);
}

/* .newTable .addedRow, .addedRow td{
    border-radius:0 0 3px 3px;
} */

/* .newTable .addedRow td:first-child{
    border-radius:0 0 0.6rem 0;
} */
/* .newTable .addedRow td:last-child{
    border-radius:0 0 0.6rem 0;
} */

.newTable td{
    cursor:pointer;
    padding:6px;
    border:0;
}

.newOptions{
    background-color: white;
    border: 1px solid var(--vert-fonce);
    box-shadow: 0.25rem 0.25rem 0 var(--vert-fonce);
    border-radius: 7px;
}

.new-btn-option{
    background-color:transparent;
    display:flex;
    align-items:center;
    text-align:left;
    padding:5px;
    border:1px solid transparent;
    transition:.2s;
    border-radius:3px;
}

.new-btn-option:hover{
    /* color:var(--orange-fonce); */
    background-color:var(--vert-light);
}
.new-btn-option[disabled]:hover{
    background-color:transparent;
    cursor:not-allowed;
}

.new-sub-option{
    /* margin-left:13.547px; taille d'une icone */
    justify-content:space-between;
}

.bg-vert-clair{
    background-color: var(--vert-clair);
}

.new-bg-light{
    background-color:var(--vert-light);
}

.newAddedRow{
    background-color:red;
    color:white;
}

.containerFilter{
    box-shadow: 0 3.2px 7.2px 0 rgba(0,0,0,.132), 0 0.6px 1.8px 0 rgba(0,0,0,.108);
    /* border: 3px solid var(--vert-fonce); */
    /* box-shadow: -1rem 0.7rem 0 var(--vert-fonce); */
    border-radius: 3px;
}

.newCadre{
    border : 3px solid var(--vert-fonce) !important;
    box-shadow : 0.7rem 0.7rem 0 var(--vert-fonce);
    border-radius:3px;
}

.closeModal{
    transition:.2s;
}

.closeModal:hover{
    transform:rotate(90deg);
    color:var(--vert-fonce);
}

.text-oaan{
    color : var(--vert-fonce);
}

.new-text-orange{
    color:var(--orange-fonce);
}

.border-orange{
    border:1px solid var(--orange-fonce);
}

.newBadge{
    padding:3px;
    border-radius:3px;
}

.newBadge-light{
    color:var(--vert-fonce);
    border: 1px solid var(--vert-fonce);
    border-radius:3px;
    padding:3px;
}
